com.mapinfo.midev.raster.core

## Interface IRasterDataset

    public interface IRasterDataset

A representation of a raster file.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Dispose of any resources used by the raster.
`CoordSys` `getCoordSys()` Get the coordinate system for the raster.
`Dimension` `getDimension()` Get the dimensions of the raster (in pixels).
`String` `getFileName()` Get the name of the raster file.
`RasterRegistrationInfo` `getRasterRegistrationInfo()` Get the registration info for the raster.

### Method Detail

#### getCoordSys

    CoordSys getCoordSys()

Get the coordinate system for the raster.

Returns:
  the coordinate system for the raster.

#### getRasterRegistrationInfo

    RasterRegistrationInfo getRasterRegistrationInfo()

Get the registration info for the raster. This describes how the raster should be positioned geographically.

Returns:
  the registration info for the raster.

#### getFileName

    String getFileName()

Get the name of the raster file.

Returns:
  the name of the raster file.

#### getDimension

    Dimension getDimension()

Get the dimensions of the raster (in pixels).

Returns:
  the dimensions of the raster (in pixels).

#### dispose

    void dispose()

Dispose of any resources used by the raster.